package com.imprimelibros.erp.presupuesto.classes;

import java.util.Map;

public class ImagenPresupuesto {

    private String id;
    private String imagen;
    private String alt;
    private String texto;
    private boolean selected = false;
    private Map<String, String> extra_data;

    // Constructores
    public ImagenPresupuesto() {}


    public ImagenPresupuesto(String id, String imagen, String alt, String texto, boolean selected) {
        this.id = id;
        this.imagen = imagen;
        this.alt = alt;
        this.texto = texto;
        this.selected = selected;
    }


    public ImagenPresupuesto(String id, String imagen, String alt, String texto, Map<String, String> extra_data,boolean selected) {
        this.id = id;
        this.imagen = imagen;
        this.alt = alt;
        this.texto = texto;
        this.selected = selected;
        this.extra_data = extra_data;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getImagen() {
        return imagen;
    }

    public void setImagen(String imagen) {
        this.imagen = imagen;
    }

    public String getAlt() {
        return alt;
    }

    public void setAlt(String alt) {
        this.alt = alt;
    }

    public String getTexto() {
        return texto;
    }

    public void setTexto(String texto) {
        this.texto = texto;
    }

    public boolean isSelected() {
        return selected;
    }

    public void setSelected(boolean selected) {
        this.selected = selected;
    }

    public Map<String, String> getExtra_data() {
        return extra_data;
    }

    public void setExtra_data(Map<String, String> extra_data) {
        this.extra_data = extra_data;
    }
    
}

